## situare 0.6-4

=== debian/changelog ===
situare (0.6-4) unstable; urgency=low
  * Situare Beta Release

  * New Features:
    - Panel graphics updated
    - Time-out handling
    - Larger profile images support
    - Map distance scale
    - Map wraps around the east-west borders

  * Following bug fixes from version 0.5-1
    - Version control cleaned up (#5532)
    - Update location dialog is fully visible (#5765)
    - Friend group items are now properly released (#5831)
    - Location field shows always proper location (#5865)
    - Login e-mail field is now properly filled after failed login attempt (#5866)
    - Mouse event work properly over friends items on map (#5867)

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Mon, 16 Jun 2010 08:20:00 +0300

## situare 0.6-5

=== debian/changelog ===
situare (0.6-5) unstable; urgency=low
  * Situare Beta Release

  * New Features:
    - Panel graphics updated
    - Time-out handling
    - Larger profile images support
    - Map distance scale
    - Map wraps around the east-west borders

  * Following bug fixes from version 0.5-1
    - Version control cleaned up (#5532)
    - Update location dialog is fully visible (#5765)
    - Friend group items are now properly released (#5831)
    - Location field shows always proper location (#5865)
    - Login e-mail field is now properly filled after failed login attempt (#5866)
    - Mouse event work properly over friends items on map (#5867)

 -- Kaj Wallin <kaj.wallin@ixonos.com>  Fri, 18 Jun 2010 08:54:00 +0300

## situare 1.0-0

=== tests/map/uselastlocation/Makefile ===
#############################################################################
# Makefile for building: uselastlocation
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu May 27 11:42:16 2010
# Project:  uselastlocation.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile uselastlocation.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtWebKit -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/QtTest -I. -I../../../src -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -L/usr/lib -lQtWebKit -L/usr/X11R6/lib -lsqlite3 -lphonon -lQtXmlPatterns -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = testuselastlocation.cpp \
		../../../src/map/mapengine.cpp \
		../../../src/map/mapscene.cpp \
		../../../src/map/mapfetcher.cpp \
		../../../src/map/ownlocationitem.cpp \
		../../../src/map/gpslocationitem.cpp \
		../../../src/map/frienditemshandler.cpp \
		../../../src/map/maptile.cpp \
		../../../src/user/user.cpp \
		../../../src/map/maptilerequest.cpp \
		../../../src/map/baselocationitem.cpp \
		../../../src/map/friendlocationitem.cpp \
		../../../src/map/friendgroupitem.cpp \
		../../../src/ui/mainwindow.cpp \
		../../../src/ui/settingsdialog.cpp \
		../../../src/ui/logindialog.cpp \
		../../../src/map/mapview.cpp \
		../../../src/ui/friendlistpanel.cpp \
		../../../src/ui/panelsidebar.cpp \
		../../../src/ui/zoombuttonpanel.cpp \
		../../../src/ui/friendlistview.cpp \
		../../../src/ui/panelsliderbar.cpp \
		../../../src/ui/friendlistitem.cpp \
		../../../src/ui/userinfo.cpp \
		../../../src/ui/imagebutton.cpp \
		../../../src/ui/updatelocation/updatelocationdialog.cpp \
		../../../src/ui/updatelocation/texteditautoresizer.cpp \
		../../../src/ui/userinfopanel.cpp \
		../../../src/ui/sidepanel.cpp \
		../../../src/ui/zoombutton.cpp moc_mapengine.cpp \
		moc_mapscene.cpp \
		moc_mapfetcher.cpp \
		moc_frienditemshandler.cpp \
		moc_friendlocationitem.cpp \
		moc_friendgroupitem.cpp \
		moc_mainwindow.cpp \
		moc_settingsdialog.cpp \
		moc_logindialog.cpp \
		moc_mapview.cpp \
		moc_friendlistpanel.cpp \
		moc_panelsidebar.cpp \
		moc_zoombuttonpanel.cpp \
		moc_friendlistview.cpp \
		moc_panelsliderbar.cpp \
		moc_friendlistitem.cpp \
		moc_userinfo.cpp \
		moc_imagebutton.cpp \
		moc_updatelocationdialog.cpp \
		moc_texteditautoresizer.cpp \
		moc_userinfopanel.cpp \
		moc_sidepanel.cpp \
		moc_zoombutton.cpp \
		qrc_images.cpp
OBJECTS       = testuselastlocation.o \
		mapengine.o \
		mapscene.o \
		mapfetcher.o \
		ownlocationitem.o \
		gpslocationitem.o \
		frienditemshandler.o \
		maptile.o \
		user.o \
		maptilerequest.o \
		baselocationitem.o \
		friendlocationitem.o \
		friendgroupitem.o \
		mainwindow.o \
		settingsdialog.o \
		logindialog.o \
		mapview.o \
		friendlistpanel.o \
		panelsidebar.o \
		zoombuttonpanel.o \
		friendlistview.o \
		panelsliderbar.o \
		friendlistitem.o \
		userinfo.o \
		imagebutton.o \
		updatelocationdialog.o \
		texteditautoresizer.o \
		userinfopanel.o \
		sidepanel.o \
		zoombutton.o \
		moc_mapengine.o \
		moc_mapscene.o \
		moc_mapfetcher.o \
		moc_frienditemshandler.o \
		moc_friendlocationitem.o \
		moc_friendgroupitem.o \
		moc_mainwindow.o \
		moc_settingsdialog.o \
		moc_logindialog.o \
		moc_mapview.o \
		moc_friendlistpanel.o \
		moc_panelsidebar.o \
		moc_zoombuttonpanel.o \
		moc_friendlistview.o \
		moc_panelsliderbar.o \
		moc_friendlistitem.o \
		moc_userinfo.o \
		moc_imagebutton.o \
		moc_updatelocationdialog.o \
		moc_texteditautoresizer.o \
		moc_userinfopanel.o \
		moc_sidepanel.o \
		moc_zoombutton.o \
		qrc_images.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		uselastlocation.pro
QMAKE_TARGET  = uselastlocation
DESTDIR       = 
TARGET        = uselastlocation

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: uselastlocation.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libphonon.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile uselastlocation.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtWebKit.prl:
/usr/lib/libphonon.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile uselastlocation.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/uselastlocation1.0.0 || $(MKDIR) .tmp/uselastlocation1.0.0

=== debian/changelog ===
situare (1.0-0) unstable; urgency=low
  * Situare Release (Intermediate build)

  * New Features:
    - Map kinetic scroll
    - Time-out handling
    - Map double click zoom
    - Power save when the display is off
    - Semi-transparent background on the fullscreen button
    - Panels are shown when there is valid content
    - Map centering does smooth scroll

  * Following bug fixes from version 0.6-5
    - Progress indicator is not disabled when "connection timed out"
    - When old message is loaded, characters left label is not updated

 -- Jussi Laitinen <jussi.laitinen@ixonos.com>  Thu, 24 Jun 2010 08:20:00 +0300

=== debian/control ===
Source: situare
Section: user/navigation
Priority: optional
Maintainer: Jussi Laitinen <jussi.laitinen@ixonos.com>
Build-Depends: debhelper, libdbus-1-dev, icd2-dev, libx11-dev, libqt4-dev, libqjson-dev, liblocation-dev, libqtm-dev, libgconf2-dev
Standards-Version: 3.7.2

Package: situare
Architecture: armel
Depends: ${shlibs:Depends}
Description: Locate and share your position with friends.
 Situare application introduces a concept of social locating.
 It allows users to view, update and share their location
 using Facebook accounts. Situare utilizes OpenStreetMap
 database for mapping and device GPS for automatic locating.
 Project home is located in https://garage.maemo.org/projects/situare/.
 Check also http://www.situare.net.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5192&group_id=1420&func=browse
XB-Maemo-Display-Name: Situare
XB-Maemo-Upgrade-Description: Beta release
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA3X
 AAAN1wFCKJt4AAAKT2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNn
 VFPpFj333vRCS4iAlEtvUhUIIFJCi4AUkSYqIQkQSoghodkVUcERRUUEG8ig
 iAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXXPues852zzwfA
 CAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAH
 vgABeNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCd
 mCZTAKAEAGDLY2LjAFAtAGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7
 AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3AMDOEAuyAAgMADBRiIUpAAR7
 AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dXLh4ozkkX
 KxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G
 /yJiYuP+5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUA
 oOnaV/Nw+H48PEWhkLnZ2eXk5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7i
 JIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd0yLESWK5WCoU41EScY5E
 mozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA4vcA
 APK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCB
 KrBBG/TBGCzABhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv
 1EAdNMBRaIaTcA4uwlW4Dj1wD/phCJ7BKLyBCQRByAgTYSHaiAFiilgjjggX
 mYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5h1xGupE7yAAygvyG
 vEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXA
 CTYEd0IgYR5BSFhMWE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIx
 h1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQAkmxpFTSEtJG0m5SI+ksqZs0SBoj
 k8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+IoUspqShnlEOU0
 5QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgX
 aPdpr+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+Y
 TKYZ04sZx1QwNzHrmOeZD5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV
 81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61MbU2epO6iHqmeob1Q/pH5Z/YkG
 WcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY/R27iz2q
 qaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxr
 qpaXllirSKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acK
 pxZNPTr1ri6qa6UbobtEd79up+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VH
 DFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6VhlWGX4YSRudE8o9VGjUYP
 jGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1mz0x
 1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l
 1rutu6cRp7lOk06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6T
 vZN9un2N/T0HDYfZDqsdWh1+c7RyFDpWOt6azpzuP33F9JbpL2dYzxDP2DPj
 thPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3IveRKdPVxXeF60vWd
 m7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nv
 nl+F30N/I/9k/3r/0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5
 QRVBj4KtguXBrSFoyOyQrSH355jOkc5pDoVQfujW0Adh5mGLw34MJ4WHhVeG
 P45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5qPNo3ujS6P8Yu
 ZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxap
 LhIsOpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgq
 TXqS7JG8NXkkxTOlLOW5hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqoh
 TZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQrAVZLQq2QqboVFoo1yoHsmdl
 V2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9rGo5sjxx
 edsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWF
 fevc1+1dT1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavE
 uWTPZtJm6ebeLZ5bDpaql+aXDm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/
 PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7vPY07NXbW7z3/T7JvttV
 AVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3SPVRS
 j9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92
 HWcdL2pCmvKaRptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLT
 k2fyz4ydlZ19fi753GDborZ752PO32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy
 2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21e2b36RueN87d9L15
 8Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L9
 6fynQ89kzyaeF/6i/suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bC
 xh6+yXgzMV70VvvtwXfcdx3vo98PT+R8IH8o/2j5sfVT0Kf7kxmTk/8EA5jz
 /GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADqYAAAOpgAABdv
 kl/FRgAACpZJREFUeNrMWXlwlOUZ/z3fsdndHBuSLCEHciQxQBJMgAgG5Ayg
 4IbWCiiKeDClxaLSqU5Hx9p22unUsR6lHlUcC2pFYrGickmJHCKEJKKEkGzI
 tQlJyCYx197v9739IyEkkL2SWPvO7Mxez/s9v+d5fs/xvsQ5xw+9zDSdLHCP
 zeXll4OVFfB/sMxwrjyNHutwZH9wAF/RtIVWMHqaN6jDkZf+l8quWZMvdsRe
 HguPJx6CEDfhcmvqrIiQWzd1lv1ouHuOCoD8fC7K0SVTIYgZGlG6UaMRJ2s1
 8nimqIbCsjrnybNVks3hikU0jGAQQQIElSPzbIl8/ObZhZtG8GzyR+I7Nr82
 xi444wQmxOXeMjU7J33SIp1WHqfTaqLDdCGGiFCt1hCmkwSBvO5hc7jw4G93
 uju6Hf0PW3WqUKrvaqaSZXk2h9uVcOKtJ7tHxQNLf/7yyyBkgCMOQBwA7cSY
 aFp/x2xpwYwUgYiCfshbH59kA5W/qaZOcDfVChdz5jEAGp1GuxzAh6MVQrng
 SAKAuBgDrV85W1ycnSr6srCvVVRWp3567Jxy5bOxs4sWnj4lHYnU8K7Y+D7i
 ctNwAQyVhRQAmJuZJGz/zX2a3NlThq18l83J//LOYXbls6wo2Pj5EbkINtRk
 z2MDIvm2WZvekEcFAHGwJTdPEZ7ZuEKWJXFE5N62q4C1ddr6Q2ft8ZNSBbn4
 dzFjeU+0cQD5uCGSHPNHBcD4+Cjx8XWL5WCszhQVHd0O3tDSwdv7FC44U6Ee
 La7sz+055WYxpaZGsHZeFgZbv89whLxR4cBjdy8aH6Lxn12LyyxqcblF/bq8
 Xq2+ZB2UzPRaDZhytS4ltrbRmhMnpT0RxFtiUxWHIfK61EfAHUR4nHPwEQEw
 hOt8xmJNYxv/2wdfsHOVl7xWTrvT3f9e63Zj46EjclGElqOziWpX3qkMJcOB
 hKWbXpwBbC0eEQBV5V4Vq2tq51v+/IHb7WEBP2DDkWOy1t5DdWIPGtMzFVdo
 uFcLcxJNAIpHxAGVewfw3D8OeYJRPvfsOXF6bZ1wMFLm4CosWXMU3xLcNGIS
 e/MAUxRU1rcEHJ/JTc3CqsIi6VyElvPWJqrPmMU8Wp0/+bQlm7ZNHhEA7sUD
 dqcnYOUj7A566PMCiYGjlHXCo9Xx+sxsJaDehhTT9+KBiFAtpU6I9ZtbBc7x 
 0OECyWC304EoLZfsNrJkzVYUWRNYc0ZC3sgAwDsHtt67RA7Xa31uaCosklIa
 m4SqUA13tTWSKzScX0rPUgJXid+y4tFtMcPOQtxHFpqcGEPv/+nhkLLqJrWk
 rwZUNVj5lZyfUWsRln79ragCKCQHJM5RN/MWRRWD6toFD+MrAOwcbhbyaS2N
 LCIzNVF4aFWO9Kv7c2X0dacxXd10f8FRmQAcjtZxqaeTHIYxvGlKRv9+keH6
 wJpZzvOG7QFV5QG5W1FVPLfjcw9jCkJlonvUbrn9rly0FpziHc01RABqZs1l
 XOi1UbzRQK8/vU6jKByVlha1vLaZX6hpVgtLa1VFvc7pS/I2vaHf+/ef2oMG
 8OHhr8+nJcVNFAXf4/Kug0VKpaWFh2hEWpWTJNd1Gok5nYi/fS5pfv88vmvr
 4i0pU9VeYhKeuH+ZpNX0FvnM1EQhMzURAMRGawff+elpVlBUoQ5oR3R20Z4L
 YG/QIfTVueqmHZ+c8lmtqhta+Xv7ChkALEpLFG09XbRz+0t4d8crMFtqEJqT
 PahdXp07Q0xLihvSIvHGSPr1g8vl155apzGOCaOr2Syw5m6ITYntOlikvP7h
 McYUZcjO87mdhzxMUUEEzEyKE90OJ1SFAeCwu11QUpJ528RkFQAmxkfTBtMc
 vyyenBBDv/uZSQ6Rpb7eiFasWZMvBg1AQC8H9hw5qzz+fL77dGmNOhDIP/cX
 suqGVg4A86beIKQljsPECROw8ifrsXTlaqSn34RvHCIDAFEQ8OSGZQHPFcnj
 jfTEhmVXmsmojpjmnOBJzIkR9Qajua6FP/PqJ55wvRbzspLEqZPi6P0DRQoA
 CETYsPAmyWgIw9iwUJ45bRpxDpRa2pX6NrsKAPetuFlKHm8MapybPyNZSLlh
 LFVaWjhX1TwAx4MLIVKvi/9uuxP7vzyvvPDuYXYlYyzOmChMMBqo2+EClG6K
 0RMqGtqUE+WXGefA2DHhZFowfVgHZ/NnpIh92pmGxQF/QqJAWL9gugQA39bU
 cVVVUNdqV49esPbLtnzXzVc/+Yb7gWd3uP+wfb9n18Ei5cz5OrXb7vQL4Nas
 ZKGPCBNzN7+cEVQIEQeDH6fflpUsxkeFk7nRyhXWQzYX43vONDD1mjMmzoFG
 aydvtHbyYyW946UhTEdPPXyblJU63qt34o0GGhcdQc1tXRycTADOBd6NEnwW
 MlkSce/8DNHlUdDc1kScAx+ducR6nCygbrWzx8H/uH3/kBlu0GQYpusbNX3P
 CENwAD5DyDQrRTRG6KmkqlYFZzhWbmU1VltQB7NdNic/X9XkUyY8VHslDrKW
 P/JCYuAAOHk1jVaWcM+8dLGhrZMzT5dQ3WJTj5dbleEQ9UpV9rZcbs+A9kY0
 BQFA9eqBH8+eIkboQ6iq0YIuh4d/VNTAhnM9EiJLiI2O8Mm0uqb2gVvnBRFC
 wpAWDQ2RsTpnmlR80cK56qY9hQ3M7lKGdb2z5Z5FUmS4ziuA1o4e3mVzDtz7
 1kVbX4ockQfuypkmuRjjTkc7FZRZmaWvWAWzwvVa/GLtQmnZnKk+S/P+L89f
 a0RJdOL2wA536fo6EKEPoTtnTxELzZW8qrlb/crcqgwMB5efk4obxkXRnIxJ
 wtrlMyV/E53bo+CTY+fU6y0tmAC87x/AEHXg7rlp4sUmK++2dePj4kv9070h
 TEdvPnOvbHe60TudtXKNLEGvlaHTaig+xkBpSfHkK1yuXa/mH2Ud3XZ+vVp8
 2YpHt4Xs++sWlx8PDK4DUWE6WpwxSfimqhz/OtPgcbiv/vzYukVSZLieIsP1
 iDdGjuwkGMCBk2XKvhOl3rJaGHPzRQAO+OHA4Dqwbn66WFprwZHSJuVS+9VL
 isXZqcK8zORRuyT8d8FZ5cX3/uMzFjlUk/8QEoihryWINYTSjXFjhOOlF/jp
 qvZ+y0QbQumRtQvk0VDc7nTjzT0n2GfeLX/13kKgqQFwQFXQR4K756WJFfUW
 vrfkkmfgX355X65fMgYyU+87cV5557NTysDrJwBtAMwAmYl4pQpuJoJ5jLWz
 evfuZ93+AUBQAI6EqHAKDSF6+8ta5vJcTQoLZqYI2WkThhU6nT0OXnLBwovL
 613FF+qqWjtsZQSYCdyscpglxisPbN/aPqLTaXCVgQgrZyaJh85Wqk0dgwoK
 jhZXqheqm93TUxJo+o0JQnpygpA4NpKuPUd1uRncHkVp77J3Xaxvqfi2suH4
 4TMVR7iqVoxpTbDs3r1RGY0QvO6aNXfzS3mTjJH52ZNjxPxTVf6Pogm2yDB9
 jT5ErnYwZrbZ3WXMw8rdJJkLXtncg+95DeEBYmmJUcLHRTVs0KQJ1Pe6G2aV
 wyyAzB6FzF9s39IY7K3K9wrANGuS7kJD216PohYCvYq6nRFVBW8/MPQo9SZ+
 2MU5H/QqO30m9trv/p9f/x0A5fuBL76DMBUAAAAASUVORK5CYII=
 ====

## situare 2.0b-0

=== debian/changelog ===
situare (2.0b-0) unstable; urgency=low
  * Situare beta release

  * New Features:
    - Location search panel
    - Context-driven buttons
    - Personal and friend panels are closed and disabled when logout
    - Search history is shown in location search panel
    - Show friends contact dialog
    - UI design for panels fine tuned
    - Old data is cleared when logout
    - New button icons, some old button icons fine-tuned
    - Text to indicate when panel content is empty

  * Following bug fixes from version 2.0a-0
    - Message is sometimes partly invisible in friend list item
    - When routing to friend, the view is not changed to routing panel after the routing is done

 -- Jussi Laitinen <jussi.laitinen@ixonos.com>  Thu, 9 Sep 2010 09:36:00 +0300

situare (2.0a-0) unstable; urgency=low
  * Situare alpha release

  * New Features:
    - Map centers to the free area when panel is open
    - UI design for panels fine tuned
    - Direction indicator/centering button fine tuned
    - User panel item is collapsed when panel is closed

  * Following bug fixes from version 2.0pa-0
    - #6223: Character calculation when message has Scandinavian characters
    - Full screen button is not clickable
    - Routing to a friend is possible even if any friend is not selected
    - Segmentation fault in panels
    - Error messages from routing service are not shown
    - Error messages from location search are not shown
    - Text length cutting in user panel
    - Area under panel can be clicked

 -- Jussi Laitinen <jussi.laitinen@ixonos.com>  Thu, 30 Aug 2010 10:50:00 +0300

situare (2.0pa-0) unstable; urgency=low
  * Situare pre-alpha Release

  * New Features:
    - New UI design for panels
    - New UI design for buttons
    - Search routes to places and friends
    - Search locations by name and street addresses
    - Friend list can be filtered by typing the keyboard
    - Direction indicator/centering button
    - GPS location accuracy circle
    - Power saving when application is in the background
    - Cross-hair is visible always when the auto-centering is disabled
    - Full screen button is hid after delay
    - Friend grouping optimized
    - User data retrieval optimized
    - List views re-factored

  * Following bug fixes from version 1.0-0
    - #5762: Location setting accuracy is not accurate

 -- Jussi Laitinen <jussi.laitinen@ixonos.com>  Thu, 19 Aug 2010 13:17:00 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: optional
 Maintainer: Jussi Laitinen <jussi.laitinen@ixonos.com>
-Build-Depends: debhelper, libdbus-1-dev, icd2-dev, libx11-dev, libqt4-dev, libqjson-dev, liblocation-dev, libqtm-dev, libgconf2-dev
+Build-Depends: debhelper, libdbus-1-dev, icd2-dev, libx11-dev, libqt4-dev, libqjson-dev, liblocation-dev, libqtm-dev, libgconf2-dev, libosso-abook-dev
 Standards-Version: 3.7.2
 
 Package: situare
@@ -12,7 +12,8 @@
  Situare application introduces a concept of social locating.
  It allows users to view, update and share their location
  using Facebook accounts. Situare utilizes OpenStreetMap
- database for mapping and device GPS for automatic locating.
+ database for mapping, CloudMade for route caclulation and 
+ device GPS for automatic locating.
  Project home is located in https://garage.maemo.org/projects/situare/.
  Check also http://www.situare.net.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5192&group_id=1420&func=browse

## situare 2.0b-1

=== tests/ui/sidepanel/Makefile ===
#############################################################################
# Makefile for building: sidepanel
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Aug 3 11:58:57 2010
# Project:  sidepanel.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile sidepanel.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG_OUTPUT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I/targets/FREMANTLE_X86/usr/include/QtTest -I../../../src -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = testsidepanel.cpp \
		../../../src/ui/sidepanel.cpp \
		../../../src/ui/sidepanelbase.cpp \
		../../../src/ui/panelsliderbar.cpp moc_sidepanel.cpp \
		moc_sidepanelbase.cpp \
		moc_panelsliderbar.cpp
OBJECTS       = testsidepanel.o \
		sidepanel.o \
		sidepanelbase.o \
		panelsliderbar.o \
		moc_sidepanel.o \
		moc_sidepanelbase.o \
		moc_panelsliderbar.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		sidepanel.pro
QMAKE_TARGET  = sidepanel
DESTDIR       = 
TARGET        = sidepanel

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: sidepanel.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile sidepanel.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile sidepanel.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/sidepanel1.0.0 || $(MKDIR) .tmp/sidepanel1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/sidepanel1.0.0/ && $(COPY_FILE) --parents ../../../src/ui/sidepanel.h ../../../src/ui/sidepanelbase.h ../../../src/ui/panelsliderbar.h ../../../src/ui/panelcommon.h ../../../src/map/mapcommon.h .tmp/sidepanel1.0.0/ && $(COPY_FILE) --parents testsidepanel.cpp ../../../src/ui/sidepanel.cpp ../../../src/ui/sidepanelbase.cpp ../../../src/ui/panelsliderbar.cpp .tmp/sidepanel1.0.0/ && (cd `dirname .tmp/sidepanel1.0.0` && $(TAR) sidepanel1.0.0.tar sidepanel1.0.0 && $(COMPRESS) sidepanel1.0.0.tar) && $(MOVE) `dirname .tmp/sidepanel1.0.0`/sidepanel1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/sidepanel1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_sidepanel.cpp moc_sidepanelbase.cpp moc_panelsliderbar.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_sidepanel.cpp moc_sidepanelbase.cpp moc_panelsliderbar.cpp
moc_sidepanel.cpp: ../../../src/ui/sidepanel.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/sidepanel.h -o moc_sidepanel.cpp

moc_sidepanelbase.cpp: ../../../src/ui/sidepanelbase.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/sidepanelbase.h -o moc_sidepanelbase.cpp

moc_panelsliderbar.cpp: ../../../src/ui/panelcommon.h \
		../../../src/common.h \
		../../../src/ui/panelsliderbar.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../../../src/ui/panelsliderbar.h -o moc_panelsliderbar.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: testsidepanel.moc
compiler_moc_source_clean:
	-$(DEL_FILE) testsidepanel.moc
testsidepanel.moc: testsidepanel.cpp
	/usr/bin/moc $(DEFINES) $(INCPATH) testsidepanel.cpp -o testsidepanel.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_moc_source_clean 

####### Compile

testsidepanel.o: testsidepanel.cpp testsidepanel.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o testsidepanel.o testsidepanel.cpp

sidepanel.o: ../../../src/ui/sidepanel.cpp ../../../src/ui/sidepanel.h \
		../../../src/ui/panelcommon.h \
		../../../src/common.h \
		../../../src/ui/panelsidebar.h \
		../../../src/ui/panelsliderbar.h \
		../../../src/ui/sidepanelbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o sidepanel.o ../../../src/ui/sidepanel.cpp

sidepanelbase.o: ../../../src/ui/sidepanelbase.cpp ../../../src/ui/sidepanelbase.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o sidepanelbase.o ../../../src/ui/sidepanelbase.cpp

panelsliderbar.o: ../../../src/ui/panelsliderbar.cpp ../../../src/ui/panelsliderbar.h \
		../../../src/ui/panelcommon.h \
		../../../src/common.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o panelsliderbar.o ../../../src/ui/panelsliderbar.cpp

moc_sidepanel.o: moc_sidepanel.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_sidepanel.o moc_sidepanel.cpp

moc_sidepanelbase.o: moc_sidepanelbase.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_sidepanelbase.o moc_sidepanelbase.cpp

moc_panelsliderbar.o: moc_panelsliderbar.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_panelsliderbar.o moc_panelsliderbar.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
situare (2.0b-1) unstable; urgency=low
  * Situare beta release

  * New Features:
    - New UI design for panels
    - New UI design for buttons
    - Context-driven buttons
    - Search routes to places and friends
    - Search locations by name and street addresses
    - Map centers to the free area when panel is open
    - Location search panel
    - Search history is shown in location search panel
    - Friend list can be filtered by typing the keyboard
    - Direction indicator/centering button
    - GPS location accuracy circle
    - Show friends contact dialog
    - Text to indicate when panel content is empty
    - Power saving when application is in the background
    - Personal and friend panels are closed and disabled when logout
    - Cross-hair is visible always when the auto-centering is disabled
    - Full screen button is hid after delay
    - User panel item is collapsed when panel is closed
    - Old data is cleared when logout
    - Friend grouping optimized
    - User data retrieval optimized
    - List views re-factored

  * Following bug fixes from version 1.0-0
    - #5762: Location setting accuracy is not accurate
    - #6223: Character calculation when message has Scandinavian characters
    - Full screen button is not clickable
    - Routing to a friend is possible even if any friend is not selected
    - Segmentation fault in panels
    - Error messages from routing service are not shown
    - Error messages from location search are not shown
    - Text length cutting in user panel
    - Area under panel can be clicked
    - Message is sometimes partly invisible in friend list item
    - When routing to friend, the view is not changed to routing panel after the routing is done

 -- Jussi Laitinen <jussi.laitinen@ixonos.com>  Thu, 9 Sep 2010 10:15:00 +0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  Situare application introduces a concept of social locating.
  It allows users to view, update and share their location
  using Facebook accounts. Situare utilizes OpenStreetMap
- database for mapping, CloudMade for route caclulation and 
+ database for mapping, CloudMade for route calculation and 
  device GPS for automatic locating.
  Project home is located in https://garage.maemo.org/projects/situare/.
  Check also http://www.situare.net.
